Subject: Re: [RFC] Git User's Survey 2008

From: Jakub Narebski <[email-masked]>
Date: Thu, 24 Jul 2008 16:07:06 +0200

On Tue, 24 July 2008, Marek Zawirski wrote:
> Junio C Hamano wrote:
>> Jakub Narebski <[email-masked]> writes:
>> (...)
>>   
>>>    27. Which of the following features do you use?
>>>        (zero or more: multiple choice)
>>>      - git-gui or other commit tool, gitk or other history viewer, patch
>>>        management interface (e.g. StGIT), bundle, eol conversion,
>>>        gitattributes, submodules, separate worktree, reflog, stash,
>>>        shallow clone, detaching HEAD, mergetool, interactive rebase,
>>>        add --interactive or other partial commit helper, commit
>>>        templates, bisect, other (not mentioned here)
>>>     
> I've got lost a little bit in this discussion, but some question about 
> used GUI for Git maybe interesting - the above one is touching the 
> problem. Just egit is missing there.

Actually jgit is in the list of possible choices for the following
question:
    16. Which porcelains / interfaces / implementations do you use?

But you have remind me about one feature that is missing from the 27.
list, namely "integration with IDE/editor" (I mean here things like
egit for Eclipse, future KDevelop DVCS integration, future Anjuta
Git integration, git.el or DVC for Emacs, plugin for TextMate, etc.)

-- 
Jakub Narebski
Poland